# Get editor completions based on the config schema
"$schema" = 'https://starship.rs/config-schema.json'

[nodejs]
disabled = true

[scala]
disabled = true

format = """
$username\
$hostname\
$directory\
$git_branch\
$git_state\
$git_status\
$cmd_duration\
$line_break\
$python\
$character"""

[directory]
style = "#FF9966"

[character]
success_symbol = "[❯](#FF9966)"
error_symbol = "[❯](red)"
vimcmd_symbol = "[❮](green)"

[git_branch]
format = "[$branch]($style)"
style = "bright-black"

[git_status]
format = "[[(*$conflicted$untracked$modified$staged$renamed$deleted)](218) ($ahead_behind$stashed)]($style)"
style = "#FF9966"
conflicted = ""
untracked = ""
modified = ""
staged = ""
renamed = ""
deleted = ""
stashed = "≡ "

[git_state]
format = '\([$state( $progress_current/$progress_total)]($style)\) '
style = "bright-black"

[cmd_duration]
format = "[$duration]($style) "
style = "yellow"

[python]
format = "[$virtualenv]($style) "
style = "bright-black"

[rust]
symbol = "rs " 
format = "[$symbol]($style)"

[golang]
symbol = "go " 
format = "[$symbol]($style)"
